Name:           jupyter-jupyterlab-server
Version:        1.1.4
Release:        %mkrel 2
Summary:        Server components for JupyterLab and JupyterLab-like applications
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyterlab/jupyterlab_server
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab-server/jupyterlab_server-%{version}.tar.gz
Source100:      jupyter-jupyterlab-server-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
Requires:       jupyter-notebook >= 4.2.0
Requires:       python3-jinja2 >= 2.10
Requires:       python3 >= 3.5
Requires:       python3-json5
Requires:       python3-jsonschema >= 2.6
Provides:       python3-jupyter_jupyterlab_server = %{version}
Obsoletes:      python3-jupyter_jupyterlab_server < %{version}
Provides:       python3-jupyterlab-server = %{version}
Provides:       jupyter-jupyterlab-launcher = %{version}
Obsoletes:      jupyter-jupyterlab-launcher < %{version}
Provides:       python3-jupyter_jupyterlab_launcher = %{version}
Obsoletes:      python3-jupyter_jupyterlab_launcher < %{version}
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  jupyter-notebook >= 4.2.0
BuildRequires:  python3-jinja2 >= 2.10
BuildRequires:  python3-devel >= 3.5
BuildRequires:  python3-json5
BuildRequires:  python3-jsonschema >= 2.6
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
# /SECTION

%description
This package is used to launch an application built using JupyterLab.

%prep
%setup -q -n jupyterlab_server-%{version}

%build
%py3_build

%install
%py3_install
%fdupes %{buildroot}%{python3_sitelib}

#check
#pytest-3 -v .

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/jupyterlab_server/
%{python3_sitelib}/jupyterlab_server-%{version}-py*.egg-info/


%changelog
* Wed Nov 11 2020 joequant <joequant> 1.1.4-2.mga8
+ Revision: 1644726
- disable tests for now

* Mon May 18 2020 joequant <joequant> 1.1.4-1.mga8
+ Revision: 1586029
- imported package jupyter-jupyterlab-server

